Static deposits
Esta página no está disponible en español. Se muestra la versión en inglés.
Get static deposit preview for identity
Use this method to calculate static deposit operation preview for a specific identity
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
The identifier of a static deposit identity
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/static-deposit/identities/36f59381-5b54-48bd-a0c7-3b908c476732/preview" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "amount": "100", "mode": "source" }'{ "rate": "1.20", "commission": "0", "sourceCurrencyAlphaCode": "BTC", "sourceCurrencyAmount": "0.50000000", "destinationCurrencyAlphaCode": "USD", "destinationCurrencyAmount": "30000.00"}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}